import { GitHub, OctokitAPIs } from './github';
export interface GitHubReleaseOptions {
    label: string;
    repoUrl: string;
    packageName: string;
    token?: string;
    apiUrl: string;
    proxyKey?: string;
    octokitAPIs?: OctokitAPIs;
}
export declare class GitHubRelease {
    apiUrl: string;
    changelogPath: string;
    gh: GitHub;
    labels: string[];
    repoUrl: string;
    packageName: string;
    token?: string;
    proxyKey?: string;
    constructor(options: GitHubReleaseOptions);
    createRelease(): Promise<void>;
    private gitHubInstance;
    static extractLatestReleaseNotes(changelogContents: string, version: string): string;
}
