import { ReleasePR } from '../release-pr';
import { ConventionalCommits } from '../conventional-commits';
import { VersionsMap } from '../updaters/update';
declare type BumpType = 'major' | 'minor' | 'patch' | 'snapshot';
export declare class Version {
    major: number;
    minor: number;
    patch: number;
    extra: string;
    snapshot: boolean;
    constructor(major: number, minor: number, patch: number, extra: string, snapshot: boolean);
    static parse(version: string): Version;
    bump(bumpType: BumpType): void;
    toString(): string;
}
export declare class JavaYoshi extends ReleasePR {
    protected _run(): Promise<void>;
    protected defaultInitialVersion(): string;
    protected coerceVersions(cc: ConventionalCommits, currentVersions: VersionsMap): Promise<VersionsMap>;
    private coerceBumpType;
}
export {};
